Package com.avaya.core

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - com.avaya.core.MessageType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageType>`

      public enum MessageType
      extends java.lang.Enum<MessageType>

  The `Message` type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAROUSEL` | A message that contains a horizontal scrollable set of items.
    `FILE` | A message that contains a file.
    `FORM` | A message that contains a form.
    `IMAGE` | A message that contains an image.
    `LIST` | A message that contains a vertically scrollable set of items.
    `LOCATION` | A message that contains a location.
    `TEXT` | A text message.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageType` | `findByValue​(java.lang.String value)` | Utility method to find the enum value of the provided string.
    `java.lang.String` | `getValue()` |
    `static MessageType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final MessageType TEXT

      A text message. It could also contain action buttons

    - #### IMAGE

          public static final MessageType IMAGE

      A message that contains an image. It may also contain text and action buttons

    - #### FILE

          public static final MessageType FILE

      A message that contains a file. It may also contain text

    - #### CAROUSEL

          public static final MessageType CAROUSEL

      A message that contains a horizontal scrollable set of items. It may also contain text

    - #### LIST

          public static final MessageType LIST

      A message that contains a vertically scrollable set of items. It may also contain text

    - #### LOCATION

          public static final MessageType LOCATION

      A message that contains a location.

    - #### FORM

          public static final MessageType FORM

      A message that contains a form.

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### findByValue

          public static MessageType findByValue​(java.lang.String value)

      Utility method to find the enum value of the provided string.
      Parameters:
        `value` - the input string
      Returns:
        a value of `MessageType` if the provided value was valid, null otherwise